# Copyright  2001 Ananova Ltd 
# www.ananova.com
# For terms and conditions of use please see 
# http://www.ananova.com/about/terms.html
# Channel listings
# Format <type>.<key>=<a name>
# <a name> is sometimes a shorter version of the official name in the data file
# Terrestrial channels are NOT shown here but are the OTHER channels in
# ?show=dir that also match the rules below
#
# useage: ?show=<request>
#   where request is one of [regions|channels|dir|<file>]
#   ?show=regions outputs a list of regions and region codes
#   ?show=channels outputs a list of channel codes and names
#   ?show=dir outputs the list of currently valid file names suitable
#     for use as <file>.  These filenames may have parts of <regions> in.
#
#   To work out which region a file is in (if any) from the ?show=channels
#   output, take each region key, like se_15 and see if a filename ends in
#   that string; if not take the end of the region key, like _15 and see if
#   the filename ends in that string.  If the filename ends in exactly the
#   region key or the end of the region key then it is a terrestrial tv channel
#   broadcast for that region.  Otherwise it is radio or satellite.
#   - So you see we only support region selection for terrestrial tv
radio.radio1=BBC Radio 1
radio.radio2=BBC Radio 2
radio.radio3=BBC Radio 3
radio.radio4=BBC Radio 4
radio.radio5mw=BBC Radio 5 Live
radio.worldsvc=BBC World Service
radio.atlantic252=Atlantic 252
radio.classicfm=Classic FM
radio.talkradiouk=Talk Radio
radio.virgin=Virgin Radio
radio.cymru=Radio Cymru
radio.nagaeltachta=Radio na Gaeltachta
radio.radioireland=Today FM
radio.radioscotland=Radio Scotland
radio.radioulster=Radio Ulster
radio.rteradio1=RTE Radio 1
radio.rteradio2=2 FM
radio.rteradiofm3=Lyric FM
radio.wales=Radio Wales
# OK, satellite section also includes digital terrestrial and cable
satellite.computer=.tv
satellite.adult=Adult Channel
satellite.animalplanetdigital=Animal Planet
satellite.asianet=Asianet
satellite.bbcchoice=BBC Choice
satellite.bbcknowledge=BBC Knowledge
satellite.bbcnews24=BBC News 24
satellite.bbcparliament=BBC Parliament
satellite.bbcprime=BBC Prime
satellite.bbcworld=BBC World
satellite.bloomberg=Bloomberg TV
satellite.box=Box
satellite.bravodigital=Bravo
satellite.cnbc=CNBC Europe
satellite.cnn=CNN
satellite.carltoncinema=Carlton Cinema
satellite.carltonfood=Carlton Food
satellite.cartoon=Cartoon Network
satellite.family_channeldigital=Challenge TV
satellite.christian=Christian Channel
satellite.discoverydigital=Discovery
satellite.disney=Disney Channel
satellite.e4=E4
satellite.sky_eurosport=Eurosport
satellite.fantasy=Fantasy Channel
satellite.filmfour=FilmFour
satellite.filmfourextreme=FilmFour Extreme
satellite.filmfourplus1=FilmFour Plus 1
satellite.filmfourworld=FilmFour World
satellite.foxdigital=Fox Kids Network
satellite.foxplus1=Fox Kids Plus 1
satellite.granada_breezeondigital=Granada Breeze
satellite.granada_men=Granada Men and Motors
satellite.granada_plus=Granada Plus
satellite.historydigital=History
satellite.itv2=ITV2
satellite.landscape=Landscape
satellite.ukliving=Living
satellite.m2=M2
satellite.mtv=MTV
satellite.mutv=MUTV
satellite.nationalgeographicdigital=National Geographic
satellite.nickelodeon=Nickelodeon
satellite.paramount=Paramount Comedy
satellite.performance=Performance
satellite.playboy=Playboy TV
satellite.qvc=QVC
satellite.racing=Racing Channel
satellite.scifidigital=Scifi
satellite.shop=Shop
satellite.sky_boxofficedigital=Sky BoxOffice
satellite.sky_moviesgolddigital=Sky Cinema
satellite.skycinema2=Sky Cinema 2
satellite.sky_movies=Sky MovieMax
satellite.sky_news=Sky News
satellite.sky_channel=Sky One
satellite.bsb_movie=Sky Premier
satellite.sky_sportsnews=Sky Sports News
satellite.bsb_sports=Sky Sports 1
satellite.sky_sports2=Sky Sports 2
satellite.sky_sports3=Sky Sports 3
satellite.sonytv=Sony TV Asia
satellite.tara=TARA
satellite.tcm=TCM
satellite.traveldigital=Travel
satellite.troubledigital=Trouble
satellite.tvtravelshop=TV Travel Shop
satellite.ukarena=UK Drama
satellite.ukgold=UK Gold
satellite.ukgoldclassics=UK Gold 2
satellite.vh1=VH1
satellite.tvasia=ZEE TV
satellite.britisheurosport=British Eurosport
satellite.discoverycivilisations=Discovery Civilisations
satellite.discoverykids=Discovery Kids
satellite.discoveryplus1=Discovery Plus 1
satellite.discoveryscitrek=Discovery Sci Trek
satellite.discoverytravel=Discovery Travel & Adventure
satellite.discoverywings=Discovery Wings
satellite.itvsport=ITV Sport
satellite.itvsportplus=ITV Sport Select
satellite.mtvbase=MTV Base
satellite.mtvdance=MTV Dance
satellite.mtvextra=MTV Hits
satellite.musicchoiceblues=Music Choice Blues
satellite.musicchoiceclassical=Music Choice Classical
satellite.musicchoicecountry=Music Choice Country
satellite.musicchoicedance=Music Choice Dance
satellite.musicchoiceeasy=Music Choice Easy
satellite.musicchoicegold=Music Choice Gold
satellite.musicchoicehits=Music Choice Hits
satellite.musicchoicejazz=Music Choice Jazz
satellite.musicchoicelove=Music Choice Love
satellite.musicchoicerock=Music Choice Rock
satellite.nickelodeonjr=Nickelodeon Jr
satellite.nickelodeonreplay=Nickelodeon Replay
satellite.s4cdigital=Channel 4 - Wales (Digital)
satellite.scificable=Sci-Fi (Cable)
satellite.sky_moviemax2=Sky Moviemax 2
satellite.sky_moviemax3=Sky Moviemax 3
satellite.sky_moviemax4=Sky Moviemax 4
satellite.sky_moviemax5=Sky Moviemax 5
satellite.sky_moviemaxondigital=Sky Moviemax - Ondigital
satellite.sky_oneondigital=Sky One (Ondigital)
satellite.sky_premier2=Sky Premier 2
satellite.sky_premier3=Sky Premier 3
satellite.sky_premier4=Sky Premier 4
satellite.sky_premierondigital=Sky Premier - Ondigital
satellite.sky_premierwidescreen=Sky Premier - Widescreen
satellite.tlcdigital=Discovery Home & Leisure (Digital)
satellite.ukhorizons=UK Horizons
satellite.ukplay=Play UK
satellite.ukstyle=UK Style
satellite.vh1classic=VH1 Classic
satellite.wellbeing=Wellbeing
